Ohodnoceno 4 z 5 hvězdiček

Still trying to get this fixed on my MacBook, running El Capitan 10.11.6. First few tries using HappyOne's link didn't seem to do it. Anybody have step by step assistance for a Mac installation? Thunderbird version 52.5.0.

AHA! Never mind. Got it. Thanks HappyOne.

Tato recenze je pro předchozí verzi doplňku (62.0). 

Ohodnoceno 5 z 5 hvězdiček

Thanks Happyone for making it so easy to solve this problem. I spent a lot of time yesterday trying the unzip/zip change bootstrap solution but I am too unfamiliar with these things and failed.
I confirm what the previous poster said: this great offering by Happyone will not work with TB 58 Beta. But it works like a charm with the previous version 52.5.2
Download the file from the link Happyone provides, then go to your TB 52.5.2, click on the menu (3 lines in top right hand corner, go to add ons, click on the wheel for a drop down menu, choose 'install add on from file' , browse for that file and install. Thanks again.

Tato recenze je pro předchozí verzi doplňku (62.0). 

Ohodnoceno 5 z 5 hvězdiček

Pour les non-pros, en français: télécharger via le lien donné par Happyone (drive.google..), avec votre navigateur préféré (Firefox bien sûr) ,et enregsitrer le fichier (sur le bureau ou autre).
Ouvrir Thunderbird, désinstaller le Plugin Theme Font" qui ne fonctionne plus.
Ouvrir la fenêtre "Module complémentaires" , via l'onglet "Outil". Cliquer sur la roue crantée et choisir, "installer un module depuis un fichier" et choisir le fichier téléchargé.
Et hop on a retouvé notre super petit outil bien utile !!
Merci à tous.

Tato recenze je pro předchozí verzi doplňku (62.0). 

Ohodnoceno 1 z 5 hvězdiček

Finalement j'ai réussi à télécharger le fichier avec un autre navigateur.
J'ai vu la réparation:
ligne 1380 de bootstrap.js
Merci

Tato recenze je pro předchozí verzi doplňku (62.0).  Tento uživatel má jednu dřívější recenzi tohoto doplňku.

Ohodnoceno 5 z 5 hvězdiček

For everyone out there not sure what to do with the xpi file downloaded via Happy One's link: I opened up Add-ons in Thunderbird, removed the old version, and then just dragged the new xpi file into the Add-ons box. Worked for me with ver. 52.5.2 on Win10

Tato recenze je pro předchozí verzi doplňku (62.0). 

Ohodnoceno 5 z 5 hvězdiček

I so appreciate having the link to the file. All is working again. I am wondering, though.. should updates be turned off?
thanks again

Tato recenze je pro předchozí verzi doplňku (62.0).  Tento uživatel má jednu dřívější recenzi tohoto doplňku.

Ohodnoceno 5 z 5 hvězdiček

Thank you Happyone! All works fine now.
However, I discovered the fixed version does not work in the latest beta version, 58.0b2 (2017.12.10). Maybe that's a known limitation?, I don't know. I reinstalled the latest TB release 52.5.2 and then installed the fixed add-on here (after removing the old one) and things are back working. Thank you!


(previous comment, with 1 star rating)
The latest version 62.0 (from Nov 15, 2017) does not work at all in the latest 32-bit Thunderbird, v52.5.2. There is no option in the Tools menu, nor any status bar button, in other words, no way to access the settings. This makes the add-on currently rather useless.

Please fix. Thanks!

Meanwhile, will try the fix others have detailed in the comments.

Tato recenze je pro předchozí verzi doplňku (62.0). 

Hello, please do not install other add-ons other than official page. Those may steal your mails and important files from your computer. Uninstall the other add-ons that are not offered by us.

Ohodnoceno 5 z 5 hvězdiček

Still 5 stars even though we had to fix it ourselves, although the creator might not have had a chance yet.
Thanks to everyone who worked on the changes, and for the correct download link.
Just right-click on the Install button to save the .XPI file to a folder-directory.
(it is just a ZIP archive file with a .XPI extension)
Open the file by clicking on the download icon and right-clicking on the file and choosing "Open containing folder".
I use free 7-Zip, so I just opened the archive with a double-click (Windows 10 asked what program I want to open the file with, chose 7z), that opened it like an Explorer window, drag and dropped the bootstrap.js file into the windows folder-directory window, edited the file and found and made the commented out line change (use whatever text editor you have), saved it, and then drag and dropped the file back into the archive window.
Removed the old version in the add-ons screen in Thunderbird, then just drag and dropped the modified ,.XPI file onto the Add-ons window and restarted Tb.

Tato recenze je pro předchozí verzi doplňku (62.0). 

Ohodnoceno 1 z 5 hvězdiček

I attempted mrx2020's fix. I have the latest Thunderbird. When I went to the Add-Ons Manager and checked the page for Theme Font & Size Changer, it said "THUNDERBIRD USERS PLEASE SWITCH TO THE NEW THUNDERBIRD VERSION BY BELOW URL:
https://addons.mozilla.org/en-US/firefox/addon/theme-font-size-changer-for-tb/"
I went there, but it said "Not compatible with Firefox Quantum. This add-on is not available on your platform" and would not let me right click on "add to Firefox" to download the .xpi.
I smelled a typo, so I edited the URL to be https://addons.mozilla.org/en-US/thunderbird/addon/theme-font-size-changer-for-tb/ -- Extracting this, I did see bootstrap.js.
I edited bootstrap.js like the instructions said, NOTE! You have to comment out the lines with //, NOT ## like in HTML! then PeaZipped it (an xpi is just a zip file, you change the extension from .zip to .xpi) I literally did name it whatever.xpi. Then did an Install From File in Thunderbird and it appeared to install successfully. Yay! I then restarted Thunderbird. Be sure to delete the old, non-working Theme Font & Size Changer in Add-Ons after doing this.

If you don't use // for commenting out the lines, it will act like it installs just fine, but you won't be able to see it. Be sure to use // !!

NOTE: We users should not have had to do any of this.

Tato recenze je pro předchozí verzi doplňku (62.0). 

Ohodnoceno 1 z 5 hvězdiček

Really? Date enforced shutdown? Fix it.

Tato recenze je pro předchozí verzi doplňku (62.0). 

Ohodnoceno 5 z 5 hvězdiček

Thanks Mrx2020!!!!! This Plugin had an expiration date.

Old Post Below:
Theme / Size Toolbar stopped working 1/5/2018. I removed Fossamail, changed to thunderbird (was doing soon anyway bc of security), Removed Thunderbird. Restored From Backup Image, Installed Thunderbird on a Win10 VM and a Win8.1 VM, and the plugIN STILL didn't work. I don't understand how this plug-in is NOT working. I installed the older versions too. This plugin somehow requires something I don't know about to operate. Something NOT on the actual machine UNLESS it shares files with Firefox. If anybody has a fix pLEESE email me before I go blind. [email protected] Thanks!

Tato recenze je pro předchozí verzi doplňku (62.0). 

Ohodnoceno 4 z 5 hvězdiček

Many thanks mrx2020, HackerKitty, P. Maigron !
I hate this matter of font size... You're a blessing...

With macOS Sierra, it works fine, using The Unarchiver and TextEdit (for correction //)

Tato recenze je pro předchozí verzi doplňku (62.0). 

Ohodnoceno 4 z 5 hvězdiček

(5 jan 2018)
Thanks to mrx2020 for identifying the issue and giving the fix, it works perfectly!
I used 7zip for steps 2 to 6 (open archive, select file bootstrap.js, edit, add // in front of the given line and save inside the same xpi file).
The constant "build" is set to 1507391194 at the beginning of the file, which corresponds to 7 oct 2017 17:46:34 (last build time probably).
The test in this line makes the install fail 90 days afterwards (3*30), which is today 5 jan 2018!
I can hardly understand the presence of such a test in the code...

Tato recenze je pro předchozí verzi doplňku (62.0). 

Ohodnoceno 2 z 5 hvězdiček

Thanks to the detailed instruction by mrx2020, I managed to make this indispensable add-on working again. The trick is to compress the files within the folder not compressing the folder itself. Took me sometime to figured this out. Also the comment out is done with // (double back slash) not # (like in bash).

Tato recenze je pro předchozí verzi doplňku (62.0). 

Ohodnoceno 1 z 5 hvězdiček

Stopped working as of January 5, 2018. Found the issue - there is an explicit date check in the addon bootstrap code that disables it on that date (based on arcane addon "build" version).

To fix this issue:
1. Download addon .xpi file (google for instructions)
2. unzip .xpi file (xpi is simply a zip archive)
3. locate file bootstrap.js in the archive, open in text editor
4. look for the code like this:
compile:function(){
if((build+'').length != 10) Services.prompt.alert(null, 'CompileAddon', 'An error occured');
if(new Date().getTime() > ((build+'').length == 10 ? build*1000 : build)+(3*30*24*60*60*1000)) return false;
return true;
}
5. Comment out or delete line that begins with "if(new Date().getTime..."
6. Zip the archive back (make sure to zip from inside the xpi directory, so that there is no additional path to files). Rename resulting zip file into something.xpi
7. Manually install the new addon file into Thunderbird

To the developer - this sort of bogus stuff gives a bad name to software developers.

Tato recenze je pro předchozí verzi doplňku (62.0). 

Ohodnoceno 1 z 5 hvězdiček

The amount of time it takes to research and fix all the computer issues caused by web browsers and website updates totally defeats the purpose of technology saving us time and effort. The fact that Firefox Quantum was released with no warnings of the elimination of passwords and addons has been an ongoing pain in the derriere and now Theme Font & Size changer won't work in Thunderbird as of 1/5/18. Why???? There needs to be a rating for Firefox along with the addons. I am still using Firefox 56 since I have not had the time to research and replace the addons like password manager etc. And having these new browser releases 2 weeks before the psychotic holiday season is just human abuse.

Tato recenze je pro předchozí verzi doplňku (62.0). 

Ohodnoceno 5 z 5 hvězdiček

LOVE this add-on, but like others it stopped working today and does not appear in the Tools menu. Tried removing & reinstalling, updated to new version, no luck. I'm using Thunderbird 52.5.2 (64-bit). Please help!! I have poor vision and rely on this.

Tato recenze je pro předchozí verzi doplňku (62.0). 

Ohodnoceno 5 z 5 hvězdiček

Control of my font size et al is back in my hands, including keyboard commands for font size now work. Thanks!

Tato recenze je pro předchozí verzi doplňku (62.0).